org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface FacetCustomization

All Superinterfaces:
  DocumentedElement, Facet

    public interface FacetCustomization
    extends Facet

A representation of the model object 'Facet Customization'. A FacetCustomization contains the customization for a Facet. There must not exist two FacetCustomizations customizing the same facet in the same customization.

The following features are supported:

- `Customized Facet`

See Also:
  `CustomPackage.getFacetCustomization()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`Facet` `getCustomizedFacet()` Returns the value of the 'Customized Facet' reference.
`void` `setCustomizedFacet(Facet value)` Sets the value of the '`Customized Facet`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.Facet

`getConformanceTypedElement, getExtendedFacets, getExtendedMetaclass, getFacetElements, getFacetOperations, setConformanceTypedElement, setExtendedMetaclass`

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getCustomizedFacet

    Facet getCustomizedFacet()

Returns the value of the 'Customized Facet' reference.

If the meaning of the 'Customized Facet' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Customized Facet' reference.
See Also:
  `setCustomizedFacet(Facet)`, `CustomPackage.getFacetCustomization_CustomizedFacet()`
Generated:
Model:
  required="true"

#### setCustomizedFacet

    void setCustomizedFacet(Facet value)

Sets the value of the '`Customized Facet`' reference.

Parameters:
  `value` - the new value of the 'Customized Facet' reference.
See Also:
  `getCustomizedFacet()`
Generated: